org.eclipse.eef.ide.ui.properties.api

## Class EEFSection

- java.lang.Object
- - org.eclipse.eef.ide.ui.properties.api.EEFSection

All Implemented Interfaces:
  IEEFSection

    public class EEFSection
    extends java.lang.Object
    implements IEEFSection

The implementation of `IEEFSection` using the `EEFSectionDescriptor`.

### Constructor Summary

Constructors
Constructor and Description
`EEFSection(EEFPage eefPage)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `aboutToBeHidden()` Notifies the section that its controls are about to be hidden.
`void` `aboutToBeShown()` Notifies the section that its controls are about to be shown.
`void` `createControls(org.eclipse.swt.widgets.Composite parent, EEFTabbedPropertySheetPage tabbedPropertySheetPage)` Creates the controls for the section.
`void` `dispose()` Dispose this section.
`int` `getMinimumHeight()` Returns the minimum height needed by this section.
`void` `refresh()` Refresh the contents of the controls displayed in this section.
`void` `setInput(org.eclipse.ui.IWorkbenchPart part, org.eclipse.jface.viewers.ISelection selection)` Notifies the section that the workbench selection has changed.
`boolean` `shouldUseExtraSpace()` Determine whether this section would like extra height space in case there is some left.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFSection

    public EEFSection(EEFPage eefPage)

The constructor.

Parameters:
  `eefPage` - The page

### Method Detail

#### createControls

    public void createControls(org.eclipse.swt.widgets.Composite parent,
                               EEFTabbedPropertySheetPage tabbedPropertySheetPage)

Description copied from interface: `IEEFSection`
Creates the controls for the section.

Clients should take advantage of the widget factory provided by the framework to achieve a common look between property sections.

Specified by:
  `createControls` in interface `IEEFSection`
Parameters:
  `parent` - the parent composite for the section.
  `tabbedPropertySheetPage` - the tabbed property sheet page.
See Also:
  `EEFTabbedPropertySheetPage.getWidgetFactory()`

#### aboutToBeShown

    public void aboutToBeShown()

Description copied from interface: `IEEFSection`
Notifies the section that its controls are about to be shown. It is expected that sections enable domain related functions in this method, most commonly add listeners.

Since the controls are not visible, the section should wait for the refresh() before updating the section controls.

Specified by:
  `aboutToBeShown` in interface `IEEFSection`

#### setInput

    public void setInput(org.eclipse.ui.IWorkbenchPart part,
                         org.eclipse.jface.viewers.ISelection selection)

Description copied from interface: `IEEFSection`
Notifies the section that the workbench selection has changed.

Specified by:
  `setInput` in interface `IEEFSection`
Parameters:
  `part` - The active workbench part.
  `selection` - The active selection in the workbench part.

#### refresh

    public void refresh()

Description copied from interface: `IEEFSection`
Refresh the contents of the controls displayed in this section.

Specified by:
  `refresh` in interface `IEEFSection`

#### aboutToBeHidden

    public void aboutToBeHidden()

Description copied from interface: `IEEFSection`
Notifies the section that its controls are about to be hidden. It is expected that sections disable domain related functions in this method, most commonly remove listeners.

Specified by:
  `aboutToBeHidden` in interface `IEEFSection`

#### dispose

    public void dispose()

Description copied from interface: `IEEFSection`
Dispose this section.

Specified by:
  `dispose` in interface `IEEFSection`

#### getMinimumHeight

    public int getMinimumHeight()

Description copied from interface: `IEEFSection`
Returns the minimum height needed by this section. A return value of `SWT.DEFAULT` indicates that no minimum height is defined.

Specified by:
  `getMinimumHeight` in interface `IEEFSection`
Returns:
  the minimum height needed by this section.

#### shouldUseExtraSpace

    public boolean shouldUseExtraSpace()

Description copied from interface: `IEEFSection`
Determine whether this section would like extra height space in case there is some left. Normally this is true when the section is the last to be displayed on a tab or is the only section on a tab.

Specified by:
  `shouldUseExtraSpace` in interface `IEEFSection`
Returns:
  `true` if this section would like extra height space.